Distribution:	CCux

Packager:	Karsten Brockmann <arcam@ccux-linux.de>
Summary:	PCMCIA tools for Linux
Name:		pcmciautils
Version:	017
Release:	1
Group:		System/Configuration/Hardware
License:	GPL
Source0:	%{name}-%{version}.tar.bz2
Source1:	pcmciautils-config.opts
Source2:	cards.conf
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
BuildArch:	i686

BuildRequires: flex-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: sysfsutils-devel

%description
PCMCIA Utilities for Linux
PCMCIAutils contains the initialization tools necessary to allow the PCMCIA subsystem to behave (almost) as every other hotpluggable bus system (e.g. USB, IEEE1394). As of Kernel 2.6.13-rc1 PCMCIAutils supersedes the old pcmcia-cs/cardmgr mechanism.

%prep
%setup -qn %{name}-%version

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

#use our own config.opts (salvaged from pcmcia-cs)
cp %{SOURCE1} $RPM_BUILD_ROOT/etc/pcmcia/config.opts

# strip debug symbols from binaries
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_sysconfdir}/pcmcia/config.opts
/lib/udev/pcmcia-check-broken-cis
/lib/udev/pcmcia-socket-startup
/lib/udev/rules.d/60-pcmcia.rules
/sbin/lspcmcia
/sbin/pccardctl
%{_mandir}/man8/lspcmcia.8.gz
%{_mandir}/man8/pccardctl.8.gz

%changelog
* Thu Apr 01 2010 Karsten Brockmann <arcam@ccux-linux.de> - 0.17-1
- Version Update
* Wed Aug 06 2008 Karsten Brockmann <arcam@ccux-linux.de> - 0.15-1
- Version Update
* Thu Jun 01 2006 Karsten Brockmann <arcam@ccux-linux.de> - 0.14-1
- Version Update
* Sun Mar 26 2006 Karsten Brockmann <arcam@ccux-linux.de> - 0.13-1
- Version Update
* Fri Jan 13 2006 Karsten Brockmann <arcam@ccux-linux.de> - 012-2
- added card database
* Thu Jan 12 2006 Karsten Brockmann <arcam@ccux-linux.de> - 012-1
- Initial Release
